<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.qiyou.mb.android"
	xmlns:tools="http://schemas.android.com/tools"
    android:versionCode="46"
    android:versionName="1.29.2" >

    <uses-sdk
        android:minSdkVersion="8"
        android:targetSdkVersion="22"
	    tools:overrideLibrary="com.umeng.message.lib"

		 /> <!--" tools:overrideLibrary=me.dm7.barcodescanner.zxing"-->
	<uses-permission android:name="android.permission.WAKE_LOCK"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="android.permission.INTERNET" >
    </uses-permission>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_PHONE_STATE" >
    </uses-permission>
    <!--   
    <uses-permission android:name="android.permission.CALL_PHONE" >
    </uses-permission>
    -->
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED">        
    </uses-permission>
    <!-- <permission android:name="android.permission.BAIDU_LOCATION_SERVICE" ></permission> -->

<!--     <uses-permission android:name="android.permission.BAIDU_LOCATION_SERVICE" >
    </uses-permission> -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" >
    </uses-permission>
   
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" >
    </uses-permission> 
    <uses-permission android:name="android.permission.ACCESS_GPS" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <!--  <uses-permission android:name="android.permission.RECORD_AUDIO" /> -->
     <!-- QQ、QQ空间所需权限 -->
     <uses-permission android:name="android.permission.GET_TASKS" />
	 
     <uses-permission android:name="android.permission.CAMERA" />
     <uses-permission android:name="android.permission.VIBRATE" />
     
    <application
        android:name="com.qiyou.mb.android.QiYouApplication"
        android:allowBackup="true"
        android:persistent="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
    <!--     <meta-data android:name="com.google.android.gms.version"
        android:value="@integer/google_play_services_version" />  -->
        
        <meta-data
	    android:name="com.google.android.maps.v2.API_KEY"
	    android:value="AIzaSyBAey0WNbuvc2WeEbCOsGEpp2WW0iw77u0"  
	    />
        <!-- release -->
	   <!--  <meta-data
	            android:name="com.baidu.lbsapi.API_KEY"
	           android:value="rI4GlZIZcFv5fB5qxotyrW9f"
             />-->
         
         
        <!-- home -->

              <meta-data
	            android:name="com.baidu.lbsapi.API_KEY"
	             android:value="4lcFzBPFbukDG9DulM4qjjaI"
	             />
           

           
         
        <activity
            android:name="com.qiyou.mb.android.ui.MainActivity"
            android:launchMode="singleTask" 
            android:hardwareAccelerated="true"
            android:screenOrientation="nosensor"
            android:windowSoftInputMode="adjustUnspecified"
            android:label="@string/title_activity_main" >
           
        </activity>
           <!--  android:windowSoftInputMode="adjustNothing" -->
	     <activity
	            android:name="com.qiyou.mb.android.ui.SettingsActivity"
	            android:label="@string/title_activity_settings"
	            android:parentActivityName="com.qiyou.mb.android.ui.MainActivity" >
	            <meta-data
	                android:name="android.support.PARENT_ACTIVITY"
	                android:value="com.qiyou.mb.android.ui.MainActivity" />
	     </activity>
	      <activity
	            android:name="com.qiyou.mb.android.ui.About"
	            android:label="@string/title_activity_about"
	            android:parentActivityName="com.qiyou.mb.android.ui.MainActivity" >
	            <meta-data
	                android:name="android.support.PARENT_ACTIVITY"
	                android:value="com.qiyou.mb.android.ui.MainActivity" />
	     </activity>
	       <activity
	            android:name="com.qiyou.mb.android.ui.Website"
	            android:label="@string/title_activity_website"
	            android:parentActivityName="com.qiyou.mb.android.ui.MainActivity" >
	            <meta-data
	                android:name="android.support.PARENT_ACTIVITY"
	                android:value="com.qiyou.mb.android.ui.MainActivity" />
	     </activity>
	        <activity
	            android:name="com.qiyou.mb.android.ui.ChartSpeedKm"
	            android:label="@string/title_activity_speedkm"
	            android:parentActivityName="com.qiyou.mb.android.ui.MainActivity" 
	            android:screenOrientation="landscape"
	            >
	            <meta-data
	                android:name="android.support.PARENT_ACTIVITY"
	                android:value="com.qiyou.mb.android.ui.MainActivity" />
	     </activity>
	     
	        <activity
	            android:name="com.qiyou.mb.android.ui.Welcome"
	            android:label="@string/title_activity_welcome"
	            android:parentActivityName="com.qiyou.mb.android.ui.MainActivity" >
	             <intent-filter>
                <action android:name="android.intent.action.MAIN" /> 
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
	     </activity>
	     
	 <!--     <activity android:name="com.qiyou.mb.android.ui.TtsDemo"
    	    android:screenOrientation="portrait"
                  android:configChanges="mcc|mnc|locale|touchscreen|keyboard|keyboardHidden|navigation|orientation|screenLayout|fontScale">
    	</activity> -->
	    <activity android:name="org.achartengine.GraphicalActivity" />
	    
	    
	    
	    
	    
	     <!-- 友盟AppKey， 需要替换成你自己的 -->
		 <meta-data
		            android:name="UMENG_APPKEY"
		            android:value= "550aa4e4fd98c5a25c000284" > <!-- "4eaee02c527015373b000003" -->
		  </meta-data>

		<meta-data
			android:name="UMENG_MESSAGE_SECRET"
			android:value="197851521b5b70767e60ae59b0955a44">
		</meta-data>

		<meta-data
			android:name="UMENG_CHANNEL"
			android:value="i7lv" >
		</meta-data>

	      <activity android:name="com.umeng.socialize.view.ShareActivity"
				android:configChanges="orientation|keyboard" 
				android:launchMode="singleTask" 
				android:noHistory="true" 
				android:theme="@style/Theme.UMDialog" 
				android:windowSoftInputMode="stateVisible|adjustResize" > 
			</activity>
			<!-- ############ QQ空间和QQ SSO授权的Activity注册 ############ --> 
			<activity android:name="com.tencent.tauth.AuthActivity" android:launchMode="singleTask" android:noHistory="true" > 
			<intent-filter> 
				<action android:name="android.intent.action.VIEW" /> 
				<category android:name="android.intent.category.DEFAULT" />
				<category android:name="android.intent.category.BROWSABLE" />
				<!-- 100424468，如果你使用的公用账号，则不需要修改；否则修改成你在QQ开放平台申请的 APP ID--> 
				<data android:scheme="tencent1104563148" />
			</intent-filter> 
			</activity>
			
			<activity 
				android:name="com.qiyou.mb.android.wxapi.WXEntryActivity" 
				android:theme="@android:style/Theme.Translucent.NoTitleBar" 
				android:configChanges="keyboardHidden|orientation|screenSize" 
				android:exported="true" 
				android:screenOrientation="portrait"
			/>
			 
			<activity 
				android:name="com.tencent.connect.common.AssistActivity"
				android:theme="@android:style/Theme.Translucent.NoTitleBar" 
				android:screenOrientation="portrait">
			</activity> 
	    <activity 
				android:name="com.baidu.mapapi.search.PlaceCaterActivity"
				android:theme="@android:style/Theme.Translucent.NoTitleBar" 
				android:screenOrientation="portrait">
			</activity> 
	    
        <!-- service android:name="com.qiyou.mb.android.service.TrackDbServiceQueryTrack" / --> 
         <service android:name="com.qiyou.mb.android.service.TrackDbServiceBackground" 
             android:exported="false" />
        <!-- <service android:name="com.qiyou.mb.android.service.GeoDbService" /> -->
        <service android:name="com.qiyou.mb.android.service.LocationService"  android:exported="false"/>
        <service android:name="com.qiyou.mb.android.service.TrackPlaybackService"  android:exported="false"/>
		<service android:name="com.qiyou.mb.android.service.LocationMornitorService"  android:exported="false"/>
		<service android:name="com.qiyou.mb.android.service.TrackGEOService"  android:exported="false"/>
		<service android:name="com.qiyou.mb.android.service.OfflineMapService"  android:exported="false"/>
		<service android:name="com.qiyou.mb.android.service.BDLocationSvc"  android:exported="false"/>
		<service android:name="com.qiyou.mb.android.service.TimtickService"  android:exported="false"/>
		<service android:name="com.qiyou.mb.android.service.NaviSvc"  android:exported="false"/>
		<service android:name="com.qiyou.mb.android.service.QNaviSvc"  android:exported="false"/> 
		<service android:name="com.qiyou.mb.android.service.sync"  android:exported="false"/> 
		<service android:name="com.qiyou.mb.android.service.LocationService2"  android:exported="false"/>
	 
 		  <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote" >
	            <meta-data
            		android:name="com.baidu.lbsapi.API_KEY"
            		android:value="rI4GlZIZcFv5fB5qxotyrW9f" />
         </service>
        
	  	<receiver
            android:name="com.qiyou.mb.android.receivers.CoarseLocationReceiver"
            android:exported="false" >
            <intent-filter>
                <action android:name="com.qiyou.mb.android.receivers.COARSE_LOCATION" />
            </intent-filter>
        </receiver>  
        
       <!--  <receiver
            android:name="com.qiyou.mb.android.receivers.LocationChangesReceiver"
            android:exported="false" >
            <intent-filter>
                <action android:name="com.qiyou.mb.android.receivers.LOCATION_CHANGED" />
            </intent-filter>
        </receiver> -->
        
        
   <!--      <receiver
            android:name="com.qiyou.mb.android.receivers.ProximIntentReceiver"
            android:exported="false" >
            <intent-filter>
                <action android:name="com.qiyou.mb.android.receivers.ALERTPROXIMITY" />
            </intent-filter>
        </receiver> -->
        
  		<receiver
            android:name="com.qiyou.mb.android.receivers.NewWaypointsReceiver"
            android:exported="false" >
            <intent-filter>
                <action android:name="com.qiyou.mb.android.receivers.NEW_WAY_POINTS" />
            </intent-filter>
        </receiver>
        
  		<receiver
            android:name="com.qiyou.mb.android.receivers.ForceUpdateReceiver"
            android:exported="false" >
            <intent-filter>
                <action android:name="com.qiyou.mb.android.receivers.FORCE_UPDATE_RECEIVER"  android:exported="false"/>
            </intent-filter>
        </receiver>
        
        <receiver android:name="com.qiyou.mb.android.receivers.BootReceiver"  android:exported="false"> 
	        <intent-filter> 
	       			 <action android:name="android.intent.action.BOOT_COMPLETED" /> 
	        		<category android:name="android.intent.category.HOME" />
	        </intent-filter> 
   		 </receiver> 
   		 
   		  <receiver android:name="com.qiyou.mb.android.receivers.NetworkChangesReceiver"  android:exported="false"> 
	        <intent-filter> 
	       			 <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />  
	        </intent-filter> 
   		 </receiver> 
   		 
        <!-- 
        <receiver
            android:name="com.qiyou.mb.android.ui.LocationSendBackReceiver"
            android:exported="false" >
            <intent-filter>
                <action android:name="com.qiyou.mb.android.receivers.locationgot"/>
            </intent-filter>
        </receiver>
        
        
        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote" >
        </service>
        
         -->
        <provider
            android:name="com.qiyou.mb.android.content_providers.TrackProvider"
            android:authorities="com.qiyou.mb.android.tracks"  android:exported="false"/>

        <!-- 
         <activity
            android:name="com.qiyou.mb.android.ui.SplashActivity"
            android:label="@string/title_activity_splash"
            android:launchMode="singleTask" 
            android:parentActivityName="com.qiyou.mb.android.ui.MainActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.qiyou.mb.android.ui.MainActivity" />
        </activity>
         -->
      
    </application>

</manifest>